'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('mz/fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getContentsFactory = function getContentsFactory(base) {
    return function (files) {
        return Promise.all(files.map(function (file) {
            return _fs2.default.readFile(_path2.default.join(base, file), 'utf8').then(function (data) {
                return {
                    name: _path2.default.basename(file, '.json'),
                    contents: JSON.parse(data)
                };
            });
        }));
    };
};

exports.default = getContentsFactory;